# boost::redis::request::append

Appends the commands in another request to the end of the request.

## Synopsis

Declared in `<boost/redis/request.hpp>`

    void
    append(request const& other);

## Description

Appends all the commands contained in `other` to the end of this request. Configuration flags in `*this`, like `config::cancel_if_unresponded`, are not modified, even if `other` has a different config than `*this`.

## Parameters

Name | Description
--- | ---
other | The request containing the commands to append.

Created with MrDocs